Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class OrderingComponentRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.AbstractRowsRenderer
                      org.richfaces.renderkit.OrderingComponentRendererBase

All Implemented Interfaces:
  org.ajax4jsf.model.DataVisitor, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  ListShuttleRendererBase, OrderingListRendererBase

    public abstract class OrderingComponentRendererBase

extends AbstractRowsRenderer

Author:
  Nick Belaevski

Nested Class Summary
`protected static class` | `OrderingComponentRendererBase.ControlsHelper`
`protected static class` | `OrderingComponentRendererBase.SelectionState`

Field Summary
`protected static java.lang.String` | `ATTRIBUTE_CE_ONHEADERCLICK`
`protected static java.lang.String` | `ATTRIBUTE_CONTROLS_TYPE`
`protected static java.lang.String` | `CONTROL_TYPE_BUTTON`
`protected static java.lang.String` | `CONTROL_TYPE_LINK`
`protected static java.lang.String` | `CONTROL_TYPE_NONE`
`protected static java.lang.String` | `SHOW_LABELS_ATTRIBUTE_NAME`

Fields inherited from class org.richfaces.renderkit.AbstractRowsRenderer
`CELL_CLASS_KEY, ROW_CLASS_KEY, SKIN_CELL_CLASS_KEY, SKIN_FIRST_ROW_CLASS_KEY, SKIN_ROW_CLASS_KEY, TABLE_EVENT_ATTRS`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`OrderingComponentRendererBase(java.lang.String bundleName)`

Method Summary
`void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeCaption(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `encodeCaption(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String facetCaption, java.lang.String captionStyle)`
`protected void` | `encodeCaption(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String facetCaption, java.lang.String captionStyle, java.lang.String attributeName)`
`protected void` | `encodeControlFacet(javax.faces.context.FacesContext context, UIOrderingBaseComponent orderingList, OrderingComponentRendererBase.ControlsHelper helper, java.lang.String clientId, javax.faces.context.ResponseWriter writer, boolean enabled, java.lang.String baseStyle, java.lang.String baseControlStyle)`
`void` | `encodeHeader(javax.faces.context.FacesContext context, UIOrderingBaseComponent component)`
`protected void` | `encodeHeader(javax.faces.context.FacesContext context, UIOrderingBaseComponent component, java.lang.String rowClass, java.lang.String cellClass, java.lang.String headerClassAttr)`
`protected void` | `encodeHeaderFacets(javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, java.util.Iterator headers, java.lang.String skinCellClass, java.lang.String headerClass, java.lang.String facetName, java.lang.String element, UIOrderingBaseComponent orderingList)`
`java.lang.String` | `getAsEventHandler(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String attributeName)`
`java.lang.String` | `getCaptionDisplay(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected javax.faces.convert.Converter` | `getConverter(javax.faces.context.FacesContext context, UIOrderingBaseComponent component)`
`protected UIOrderingBaseComponent.ItemState` | `getItemState(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, org.ajax4jsf.renderkit.ComponentVariables variables)`
`protected boolean` | `isHeaderExists(javax.faces.context.FacesContext context, UIOrderingBaseComponent component, java.lang.String facetName)`
`protected void` | `renderDefaultControl(javax.faces.context.FacesContext context, UIOrderingBaseComponent orderingList, javax.faces.context.ResponseWriter writer, boolean useFacet, OrderingComponentRendererBase.ControlsHelper helper, java.lang.String clientId, java.util.ResourceBundle bundle, boolean enabled, java.lang.String baseStyle, java.lang.String baseControlStyle)`

Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer
`doCleanup, encodeCaption, encodeCellChildren, encodeChildren, encodeOneRow, encodeRowEvents, encodeRows, encodeRows, encodeStyle, encodeStyleClass, encodeTableHeaderFacet, getRendersChildren, process`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getScripts, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHOW_LABELS_ATTRIBUTE_NAME

    protected static final java.lang.String SHOW_LABELS_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### ATTRIBUTE_CE_ONHEADERCLICK

    protected static final java.lang.String ATTRIBUTE_CE_ONHEADERCLICK

See Also:
  Constant Field Values

### CONTROL_TYPE_LINK

    protected static final java.lang.String CONTROL_TYPE_LINK

See Also:
  Constant Field Values

### CONTROL_TYPE_BUTTON

    protected static final java.lang.String CONTROL_TYPE_BUTTON

See Also:
  Constant Field Values

### CONTROL_TYPE_NONE

    protected static final java.lang.String CONTROL_TYPE_NONE

See Also:
  Constant Field Values

### ATTRIBUTE_CONTROLS_TYPE

    protected static final java.lang.String ATTRIBUTE_CONTROLS_TYPE

See Also:
  Constant Field Values

Constructor Detail

### OrderingComponentRendererBase

    public OrderingComponentRendererBase(java.lang.String bundleName)

Method Detail

### encodeCaption

    public void encodeCaption(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeCaption

    protected void encodeCaption(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 java.lang.String facetCaption,
                                 java.lang.String captionStyle,
                                 java.lang.String attributeName)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeCaption

    protected void encodeCaption(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 java.lang.String facetCaption,
                                 java.lang.String captionStyle)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeHeader

    public void encodeHeader(javax.faces.context.FacesContext context,
                             UIOrderingBaseComponent component)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeHeader

    protected void encodeHeader(javax.faces.context.FacesContext context,
                                UIOrderingBaseComponent component,
                                java.lang.String rowClass,
                                java.lang.String cellClass,
                                java.lang.String headerClassAttr)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderDefaultControl

    protected void renderDefaultControl(javax.faces.context.FacesContext context,
                                        UIOrderingBaseComponent orderingList,
                                        javax.faces.context.ResponseWriter writer,
                                        boolean useFacet,
                                        OrderingComponentRendererBase.ControlsHelper helper,
                                        java.lang.String clientId,
                                        java.util.ResourceBundle bundle,
                                        boolean enabled,
                                        java.lang.String baseStyle,
                                        java.lang.String baseControlStyle)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### isHeaderExists

    protected boolean isHeaderExists(javax.faces.context.FacesContext context,
                                     UIOrderingBaseComponent component,
                                     java.lang.String facetName)

### encodeHeaderFacets

    protected void encodeHeaderFacets(javax.faces.context.FacesContext context,
                                      javax.faces.context.ResponseWriter writer,
                                      java.util.Iterator headers,
                                      java.lang.String skinCellClass,
                                      java.lang.String headerClass,
                                      java.lang.String facetName,
                                      java.lang.String element,
                                      UIOrderingBaseComponent orderingList)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeControlFacet

    protected void encodeControlFacet(javax.faces.context.FacesContext context,
                                      UIOrderingBaseComponent orderingList,
                                      OrderingComponentRendererBase.ControlsHelper helper,
                                      java.lang.String clientId,
                                      javax.faces.context.ResponseWriter writer,
                                      boolean enabled,
                                      java.lang.String baseStyle,
                                      java.lang.String baseControlStyle)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### getItemState

    protected UIOrderingBaseComponent.ItemState getItemState(javax.faces.context.FacesContext context,
                                                             javax.faces.component.UIComponent component,
                                                             org.ajax4jsf.renderkit.ComponentVariables variables)
                                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### getConverter

    protected javax.faces.convert.Converter getConverter(javax.faces.context.FacesContext context,
                                                         UIOrderingBaseComponent component)

### getCaptionDisplay

    public java.lang.String getCaptionDisplay(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component)

### getAsEventHandler

    public java.lang.String getAsEventHandler(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.String attributeName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.